import React from 'react';
import { ErrorStateProps } from './WorkflowCard.types';
/**
 * Component renders a screen with ErrorState to display error message for support with the application.
 *
 * @param {ErrorStateProps} props - props of ErrorStateProps component
 *
 * @category Component
 */
export declare const ErrorState: React.FC<ErrorStateProps>;
