import React from 'react';
import { AccountDetailsScreenProps } from '../AccountDetailsScreen';
/**
 * Component renders a screen with account details information for support with the application.
 * Contact information is pulled from the context passed into the workflow.
 *
 * @param {AccountDetailsScreenProps} props - props of AccountDetailsScreen
 *
 * @category Component
 */
export declare const AccountDetailsScreen: React.FC<AccountDetailsScreenProps>;
