import React from 'react';
import { ContactSupportScreenProps } from './types';
/**
 * Component renders a screen with contact information for support with the application.
 * Contact information is pulled from the context passed into the workflow.
 *
 * @param {ContactSupportScreenProps} props - props of ContactSupportScreen
 *
 * @category Component
 */
export declare const ContactSupportScreen: React.FC<ContactSupportScreenProps>;
